db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Suresh Thalamati <suresh.thalam...@gmail.com>
Subject Re: [jira] Updated: (DERBY-606) SYSCS_UTIL.SYSCS_INPLACE_COMPRESS_TABLE fails on (very) large tables
Date Thu, 07 Dec 2006 18:46:50 GMT
Mayuresh Nirhali (JIRA) wrote:
>      [ http://issues.apache.org/jira/browse/DERBY-606?page=all ]
> 
> Mayuresh Nirhali updated DERBY-606:
> -----------------------------------
> 
>     Attachment: derby606_upgrade-v6.diff
> 
> 
>>As Bryan and others pointed out Derby supports upgrade from 10.1 to 10.3
>>also. This patch seems to incorrectly remove 10.1 to 10.3 upgrade test.
> 
> 
> I considered this. The current framework for upgrade testing needs some modification
to support upgrade
 >
  from more than 1 prev releases. build.xml should create 
<test>_app.properties file for each such test in the upgradeSuite. 
Also, upgrade from 10.0 to 10.3 should be considered.  I looked into 
10.2 and 10.1 workspaces and they contain only one test. One good 
thing is that, as mentioned in my other comments, UpgradeTester still 
includes all the testcases for upgrade from 10.0 and 10.1, so this 
work can be used to make upgradetest support upgrade from 10.0 and 
10.1 to 10.3.
> 
> In my opinion, all This is probably out of scope for this bug. I feel, A follow up patch
tracked by different JIRA entry can handle this effort. It might be useful to comment 
out the lines instead of removing, I shall do that. Please let me know 
what do you think.


I don't know  what is the work involved to add another new test from 
10.2 to 10.3. I agree with you this need not be part of this bug fix, 
it can be a separate issue. I think there is already a Jira to add 
10.2 to 10.3 upgrade test. 
(http://issues.apache.org/jira/browse/DERBY-1689) .

If I had to choose one upgrade test to run for now , I would go with 
10.1 to 10.3 upgrade test that runs now.  Changes from 10.1 to 10.3 
are more and likley to cause upgrade issues compare to 10.2 to 10.3 
upgrade.



Thanks
-suresht

Mime
View raw message